unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ComCtrls,
  ColorBox, Spin, kz.CustomControl;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    ColorBox1: TColorBox;
    ColorBox2: TColorBox;
    Edit1: TEdit;
    FontDialog1: TFontDialog;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    SpinEdit1: TSpinEdit;
    TrackBar1: TTrackBar;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Change(Sender: TObject);
    procedure ColorBox1Change(Sender: TObject);
    procedure ColorBox2Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    procedure DoClick(Sender: TObject);
  public
    MyControl1: TkzCustomControl;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  MyControl1 := TkzCustomControl.Create(Self, Self);
  try
    MyControl1.Width := 150;
    MyControl1.Height := 30;
    MyControl1.Left := 200;
    MyControl1.Top := 200;
    MyControl1.Caption := 'Test Text';
    MyControl1.Angle := 90;
    MyControl1.BorderSize := 0;
    MyControl1.BorderColor := Form1.Color;
    MyControl1.Font.Size := 50;
    MyControl1.Font.Color := clRed;
    MyControl1.Color := Form1.Color;
    ColorBox1.Selected := MyControl1.Color;
    ColorBox2.Selected := MyControl1.BorderColor;
    TrackBar1.Position := MyControl1.Angle;
    FontDialog1.Font := MyControl1.Font;
    SpinEdit1.Value := MyControl1.BorderSize;
//    MyControl1.AutoSize := True;
    MyControl1.OnClick := @DoClick;
    MyControl1.Visible := True;
  finally
  end;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  MyControl1.BorderSize := SpinEdit1.Value;
end;

procedure TForm1.CheckBox1Change(Sender: TObject);
begin
  MyControl1.AutoSize := CheckBox1.Checked;
end;

procedure TForm1.ColorBox1Change(Sender: TObject);
begin
  MyControl1.Color := ColorBox1.Selected;
end;

procedure TForm1.ColorBox2Change(Sender: TObject);
begin
  MyControl1.BorderColor := ColorBox2.Selected;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if FontDialog1.Execute then
    MyControl1.Font := FontDialog1.Font;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  MyControl1.Caption := Edit1.Text;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  MyControl1.Angle := Self.TrackBar1.Position;
end;

procedure TForm1.DoClick(Sender: TObject);
begin
  Self.Caption := IntToStr(Random(High(Byte)));
end;

end.

